%define major     0
%define libname   %mklibname vcdinfo %{major}
%define develname %mklibname vcdinfo -d

Name:		vcdimager
Version:	2.0.1
Release:	%mkrel 9
Summary:	VideoCD (pre-)mastering and ripping tool
License:	GPLv2
Group:		Video/Utilities
Source:		https://ftp.gnu.org/gnu/vcdimager/%{name}-%{version}.tar.gz
URL:		https://www.vcdimager.org/
Requires(post):	info-install
Requires(preun): info-install
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(popt)

%description
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{libname}
Summary: Libraries from %{name}
Group: System/Libraries
Provides: libvcd = %{version}-%{release}
Obsoletes: %{_lib}vcd0 < 2.0.1

%description -n %{libname}
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%package -n %{develname}
Summary: Devel files from %{name}
Group: Development/C
Requires: %{libname} = %{version}
Provides: libvcd-devel = %{version}-%{release}
Obsoletes: %{_lib}vcd-devel < 2.0.1

%description -n %{develname}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%prep
%setup -q

%build
%configure \
	--disable-static
%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

%files
%doc NEWS README
%{_bindir}/vcd-info
%{_bindir}/vcdimager
%{_bindir}/vcdxgen
%{_bindir}/vcdxrip
%{_bindir}/vcdxbuild
%{_bindir}/vcdxminfo
%{_bindir}/cdxa2mpeg
%{_infodir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libvcdinfo.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog AUTHORS TODO
%{_includedir}/libvcd/
%{_libdir}/libvcdinfo.so
%{_libdir}/pkgconfig/libvcdinfo.pc


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 2.0.1-9.mga10
+ Revision: 2248658
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 2.0.1-8.mga10
+ Revision: 2165052
- rebuild for libxml2 2.13.6

* Thu Jan 30 2025 daviddavid <daviddavid> 2.0.1-7.mga10
+ Revision: 2143560
- rebuild for new libcdio 2.2.0

* Fri Mar 18 2022 umeabot <umeabot> 2.0.1-6.mga9
+ Revision: 1798620
- Mageia 9 Mass Rebuild

* Wed Aug 19 2020 ovitters <ovitters> 2.0.1-5.mga8
+ Revision: 1616025
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sat Feb 15 2020 umeabot <umeabot> 2.0.1-4.mga8
+ Revision: 1527271
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Jul 14 2019 daviddavid <daviddavid> 2.0.1-3.mga8
+ Revision: 1421258
- rebuild for new libcdio 2.1.0

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1301572
- Mageia 7 Mass Rebuild

* Sun Jan 14 2018 wally <wally> 2.0.1-1.mga7
+ Revision: 1193115
- new version 2.0.1
- fix lib and devel pkg names
- rebuild for new libcdio

* Fri Mar 03 2017 luigiwalser <luigiwalser> 0.7.24-11.mga6
+ Revision: 1088559
- fix requires for install-info

* Fri Feb 12 2016 umeabot <umeabot> 0.7.24-10.mga6
+ Revision: 959096
- Mageia 6 Mass Rebuild

* Thu Jul 16 2015 neoclust <neoclust> 0.7.24-9.mga6
+ Revision: 854567
- Rebuild against new libcdio-devel

* Wed Oct 15 2014 umeabot <umeabot> 0.7.24-8.mga5
+ Revision: 750366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.24-7.mga5
+ Revision: 690136
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.7.24-6.mga5
+ Revision: 592247
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 0.7.24-5.mga4
+ Revision: 533571
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 0.7.24-4.mga4
+ Revision: 473878
- rebuild for new libcdio

* Sat Jan 19 2013 fwang <fwang> 0.7.24-3.mga3
+ Revision: 389665
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 28 2011 fwang <fwang> 0.7.24-2.mga2
+ Revision: 159077
- rebuild for new libcdio

* Tue Sep 06 2011 tv <tv> 0.7.24-1.mga2
+ Revision: 139845
- new release
- new source URL
- use %%mklibname -d
- use major in file list

* Fri Jan 14 2011 blino <blino> 0.7.23-10.mga1
+ Revision: 17783
- imported package vcdimager


* Fri Dec 03 2010 Tomas Kindl <supp@mandriva.org> 0.7.23-10mdv2011.0
+ Revision: 606609
- rebuild
- SPEC cleanups

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7.23-9mdv2010.0
+ Revision: 427490
- rebuild

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 0.7.23-8mdv2009.1
+ Revision: 297784
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.7.23-7mdv2009.0
+ Revision: 225916
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.23-6mdv2008.1
+ Revision: 179677
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.23-5mdv2008.0
+ Revision: 90343
- rebuild


* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.23-4mdv2007.0
+ Revision: 108129
- Import vcdimager

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.23-4mdv2007.1
- Rebuild

* Wed Mar 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.7.23-3mdk
- rebuild for new libiso9660 (x86_64)

* Sat Mar 18 2006 Götz Waschk <waschk@mandriva.org> 0.7.23-2mdk
- rebuild for new libcdio
- use mkrel

* Wed Jul 13 2005 Götz Waschk <waschk@mandriva.org> 0.7.23-1mdk
- new version

* Wed May 18 2005 Götz Waschk <waschk@mandriva.org> 0.7.22-1mdk
- new source URL
- New release 0.7.22

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.21-3mdk
- rebuild for new libcdio

* Wed Feb 02 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.21-2mdk
- rebuild for new libcdio

* Wed Dec 08 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.21-1mdk
- new source URL
- new version

* Mon Nov 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.21-0.20041121.1mdk
- drop patches
- new snapshot for new libcdio

* Wed Nov 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.20-5mdk
- rebuild for new libcdio

* Sat Jul 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.20-4mdk
- drop generic docs
- reenable libtoolize
- patch 1 to fix build

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.20-3mdk
- fix source url
- build against libcdio 0.68
- fix pkgconfig file
- don't run libtoolize
- official final vcdimager

* Sat Jan 17 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.20-2mdk
- fix deps

* Thu Jan 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.20-1mdk
- enable maintainer mode for the man pages
- requires new libcdio
- use the mdkversion macro
- new version

